code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
cp $DIR/98-ftdi.rules /etc/udev/rules.d/98-ftdi.rules
cp $DIR/47-hokuyo.rules /etc/udev/rules.d/47-hokuyo.rules
cp $DIR/99-cameras.rules /etc/udev/rules.d/99-cameras.rules
udevadm control --reload-rules
udevadm trigger
| ufieeehw/IEEE2016 | udev/setup.sh | Shell | mit | 288 |
#!/bin/bash
SESSION="dotfiles"
FOLDER=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd ) # directory of this file
#create detached session named $SESSION
tmux new-session -d -s $SESSION
tmux splitw -h -p 50 -t 0
tmux splitw -v -p 50 -t 0
tmux splitw -v -p 50 -t 1
tmux selectp -t 0
tmux send-keys "$FOLDER/shell_colors... | egel/dotfiles | bin/extras/tmux_screenshot.sh | Shell | mit | 593 |
#!/bin/bash
echo "(1/2) Copying bin/sprinter to /usr/local/bin/sprinter"
`cp -f bin/sprinter /usr/local/bin/sprinter`
echo "(2/2) Making sure sprinter has the correct permissions set to run"
echo "TODO: not checking permissions yet..."
echo ""
echo "Fantastic - you are almost set to sprint like a horse!"
echo ""
echo... | MrTin/sprinter | install.sh | Shell | mit | 962 |
#!/bin/bash
ET_SRC_URL=${ET_SRC_URL:-"http://dexya6d9gs5s.cloudfront.net/latest/dynatrace-easytravel-src.zip"}
ET_SRC_HOME=/tmp
ET_SRC_CF_HOME="${ET_SRC_HOME}/CustomerFrontend"
ET_SRC_BB_HOME="${ET_SRC_HOME}/BusinessBackend"
ET_SRC_LG_HOME="${ET_SRC_HOME}/com.dynatrace.uemload"
ET_DEPLOY_HOME="${ET_DEPLOY_HOME:-$(pwd... | dynatrace-innovationlab/easyTravel-Builder | build.sh | Shell | mit | 2,038 |
while sng_next; do
eval "$@"
done
| tyn/arcs | pkg/pipe/smap.pipe.sh | Shell | mit | 36 |
#!/usr/bin/env bash
clear;
echo "$0" | sed 's/\.\///g' | awk '{print toupper($0)}'
function contains() {
local e
for e in "${@:2}"; do [[ "$e" == "$1" ]] && return 0; done
return 1
}
function menu() {
commandArr=("1" "2" "3" "4", "5" "6" "7" "8" "9")
echo -e ""
echo -e "---------------------------... | bradyhouse/house | fiddles/bash/fiddle-0014-ReadCommand/script.sh | Shell | mit | 1,275 |
# Shell script for easily setting up HAZID site on non-shared ubuntu hosts.
#
# Takes a few arguments:
# 1. The path to the HAZID site root folder.
# 2. The MySQL database host.
# 3. The MySQL database admin username.
# 4. The MySQL database admin password.
# 5. The MySQL database name.
# Download and run RBAC databas... | rhamlet1/Hazid | scripts/db_setup.sh | Shell | mit | 680 |
#!/usr/bin/env bash
KYMSU_PATH=`pwd`
# Make Kymsu accessible in PATH
ln -fs "${KYMSU_PATH}"/kymsu.sh /usr/local/bin/kymsu
# Store Kymsu stuff in home directory
mkdir -p ~/.kymsu && echo "${KYMSU_PATH}" > ~/.kymsu/path
cp -R "${KYMSU_PATH}/plugins.d" ~/.kymsu
echo "KYMSU has been installed. Run kymsu command!"
| welcoMattic/kymsu | install.sh | Shell | mit | 315 |
#!/bin/bash
# $1=operation $2=address $3=common_name
#Name the domain we're using in OpenVPN
DOMAIN=vpn.ansible.com
# Name of existing Tower Inventory dedicated to this
INVNAME=OpenVPN
# Name of ansible inventory file to use from command line:
HOSTCONFIG=/etc/ansible/hosts.vpn
#Name the directory under /var/lib/awx/pr... | dfederlein/Tower-OpenVPN | client-manage.sh | Shell | mit | 2,852 |
# Speed testing of Event Processing Agents (EPA)
# Using explicit input cleanup-rule, where applicable (EPA1-7)
# By mikko.rinne@aalto.fi 4.7.2016
./EPArun_speed_cleanup.sh EPA1 1event
./EPArun_speed_cleanup.sh EPA1 100events
./EPArun_speed_cleanup.sh EPA1 1000events
./EPArun_speed_cleanup.sh EPA1 10000events
./EPAr... | aaltodsg/instans-cep2sparql | scripts/batch_speed_cleanup.sh | Shell | mit | 1,319 |
#! /bin/bash
# author savior
/etc/init.d/mysqld restart
tail -f /var/log/lastlog
| mut0u/centos6.6-mysql-ssh-docker | boot/init.sh | Shell | mit | 91 |
# http://zsh.sourceforge.net/Doc/Release/Zsh-Line-Editor.html
# http://zsh.sourceforge.net/Doc/Release/Zsh-Line-Editor.html#Zle-Builtins
# http://zsh.sourceforge.net/Doc/Release/Zsh-Line-Editor.html#Standard-Widgets
# Make sure that the terminal is in application mode when zle is active, since
# only then values from ... | Edholm/oh-my-zsh | lib/key-bindings.zsh | Shell | mit | 3,452 |
#! /bin/bash
redirectedTemp=tmp
mkdir -p $redirectedTemp
url="https://tcga.xenahubs.net/download/TCGA.BRCA.sampleMap/miRNA_HiSeq_gene.gz"
fileName=$redirectedTemp/miRNA_HiSeq_gene.gz
wget -O $fileName $url
gunzip $fileName
#downloading CancerType Samples
url="https://www.ncbi.nlm.nih.gov/geo/download/?acc=GSE62944&... | srp33/WishBuilder | TCGA_BreastCancer_miRNA/download.sh | Shell | mit | 527 |
#!/usr/bin/env bash
BASH_FILENAME=".bashrc"
install_homebrew() {
/usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
}
# OS detection
case "$OSTYPE" in
darwin*)
BASH_FILENAME=".bash_profile"
# install_homebrew
;;
linux*)
BASH_FILENAME=".bashrc"
... | Alex1990/settings-sync | bootstrap.sh | Shell | mit | 1,143 |
#!/bin/bash
# $1 = input file
# $2 = output file
rm -rf "$2"
/usr/bin/iconv -f cp936 -t utf-8 "$1" > "$2"
if [[ $? != "0" ]]; then
cp -f $1 $2
fi
| breakds/corpus-accu | bin/try_correct_encoding.sh | Shell | mit | 161 |
#!/bin/bash
## Event handler script for executing an NRPE command on a given host when a service# is in CRITICAL and HARD state.
state=$1 # eg. "OK","CRITICAL,"WARNING","UNKNOWN"
statetype=$2 # eg. "SOFT","HARD"
host=$3 # hostaddress of where to execute nrpe command
command=$4 # nrpe command to execute
logfile=/tmp/ev... | CoffeeITWorks/ansible_nagios4_server_plugins | files/plugins/event_handler_nsclient_command.sh | Shell | mit | 793 |
#!/bin/bash
mkdir -p data
cwltool --outdir ./data tools/picard-SortSam.cwl samples/sortsam.json
| Duke-GCB/bespin-cwl | examples/tools/run_sortsam.sh | Shell | mit | 97 |
#!/usr/bin/env bash
# Remove unnecessary packages (and their dependencies)
# which can’t be removed until after the installation process
yum --assumeyes autoremove authconfig firewalld linux-firmware
# Clean up old yum repo data & logs
yum clean all
yum history new
rm --recursive --force /var/lib/yum/yumdb/*
rm --rec... | TFDuesing/packer-templates | Fedora-20/scripts/50cleanup.sh | Shell | mit | 696 |
#!/bin/sh
DoExitAsm ()
{ echo "An error occurred while assembling $1"; exit 1; }
DoExitLink ()
{ echo "An error occurred while linking $1"; exit 1; }
OFS=$IFS
IFS="
"
/usr/bin/ld /usr/lib/crt1.10.5.o -x -multiply_defined suppress -L. -o triangle `cat link.res`
if [ $? != 0 ]; then DoExitLink ; fi
IFS=$OFS
| rusucosmin/courses | ubb/teaching/dp/ppaslink.sh | Shell | mit | 313 |
#! /bin/bash
key_names=(me gs cr gfm k8s)
for key in "${key_names[@]}"
do
if [[ -f ~/.ssh/$key.prv ]]; then
ssh-add ~/.ssh/$key.prv > /dev/null 2>&1
echo "SSH Key $key loaded."
fi
done
| shampine/dotfiles | inc/keys.sh | Shell | mit | 199 |
#!/bin/bash
set -uxv
##########################
# Takes a directory coadded by all, and by exposure
# and measures and compiles photometry on a per exposure basis
###########################
# $Id: run_unstacked_photometry.sh,v 1.26 2010-10-05 22:45:26 dapple Exp $
#############################
# $1 : Cluster dir
... | deapplegate/wtgpipeline | run_unstacked_photometry.sh | Shell | mit | 4,587 |
#! /bin/sh
# @(#)$Id: JMLRelation.sh,v 1.4 2004/06/01 19:51:43 leavens Exp $
# Copyright (C) 1998, 1999, 2002, 2004 Iowa State University
# This file is part of JML
# JML is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software... | GaloisInc/Votail | external_tools/JML/org/jmlspecs/models/JMLRelation.sh | Shell | mit | 3,257 |
#!/bin/sh
export model_2d=""
export model_3d="\
neohooke\
rivlin\
arruda\
mises\
mohr\
drucker\
swift\
ramberg\
viscoe\
creep\
relax"
export model_shell=""
../test_static_sub2.sh $*
| FrontISTR/FrontISTR | examples/static/1elem/test_1elem.sh | Shell | mit | 198 |
#!/bin/bash
source ./venv/bin/activate
python3 -u ./train_model.py --weight_path=$1 \
--history_path=$2 \
--lock_file=$3 \
--config_file=$4 \
--first_epoch=$5
| johnmartinsson/bird-species-classification | run_job.sh | Shell | mit | 184 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for DLA-59-1
#
# Security announcement date: 2014-09-24 00:00:00 UTC
# Script generation date: 2017-01-01 21:08:48 UTC
#
# Operating System: Debian 6 (Squeeze)
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - bash:4.1-3+deb6u1
#
# Last versions ... | Cyberwatch/cbw-security-fixes | Debian_6_(Squeeze)/x86_64/2014/DLA-59-1.sh | Shell | mit | 598 |
export GOPATH="$HOME/Dropbox/Programming/go"
| DracoLi/dotfiles | go/exports.zsh | Shell | mit | 45 |
#!/bin/bash
# ensure the correct kernel headers are installed
# and install some basic tools useful on nearly every dev vm
apt-get -y install linux-kernel-headers git patch vim-nox htop bash-completion wget curl gcc software-properties-common
reboot
| mayflower/baseboxes | scripts/ubuntu/tools.sh | Shell | mit | 252 |
#!/bin/bash
set -e
# redis
redis-server /etc/redis/redis.conf
# memcached
memcached -d -u daemon
# sphinx
exec "$@"
| wangaguo/docker_atgames_dev | atgames_dev_runner/0.1/docker-entrypoint.sh | Shell | mit | 120 |
# function to parse the ini style configuration file
config_parser () {
local iniFile="$1";
local tmpFile=$( mktemp /tmp/`basename $iniFile`.XXXXXX );
local intLines;
local binSED=$( which sed );
# copy the ini file to the temporary location
cp $iniFile $tmpFile;
# remove tabs or spaces around the =
$binSED -... | chilladx/config-parser | config-parser.sh | Shell | mit | 738 |
#!/usr/bin/env bash
mkdir /etc/nginx/ssl 2>/dev/null
PATH_SSL="/etc/nginx/ssl"
PATH_KEY="${PATH_SSL}/${1}.key"
PATH_CSR="${PATH_SSL}/${1}.csr"
PATH_CRT="${PATH_SSL}/${1}.crt"
if [ ! -f $PATH_KEY ] || [ ! -f $PATH_CSR ] || [ ! -f $PATH_CRT ]
then
openssl genrsa -out "$PATH_KEY" 2048 2>/dev/null
openssl req -new -... | adiachenko/xenial | .scripts/serve-spa.sh | Shell | mit | 1,559 |
#!/usr/bin/env bash
set -e
find_repo_path() {
cd "$(dirname "${BASH_SOURCE[0]}")"
cd "$(dirname "$(readlink "${BASH_SOURCE[0]}")")"
echo "$PWD/.."
}
create_formula() {
rm -fr poetenv
python3 -m venv poetenv
source poetenv/bin/activate
pip install blackbelt
pip install homebrew-pypi-poet
poet -f bla... | apiaryio/homebrew-formulae | bin/update-blackbelt.sh | Shell | mit | 464 |
#!/bin/bash
# This program contains parts of narwhal's "sea" program,
# as well as bits borrowed from Tim Caswell's "nvm"
# nave install <version>
# Fetch the version of node and install it in nave's folder.
# nave use <version>
# Install the <version> if it isn't already, and then start
# a subshell with that versi... | wenjoy/homePage | node_modules/node-captcha/node_modules/canvas/node_modules/mocha/node_modules/diff/node_modules/should/node_modules/gulp-rename/node_modules/gulp-sourcemaps/node_modules/convert-source-map/node_modules/inline-source-map/node_modules/nave/nave.sh | Shell | mit | 1,024 |
#!/bin/bash
docker build -t registry.aliyuncs.com/freshncp/debian .
| Berkaroad/docker-images | debian/build.sh | Shell | mit | 68 |
f2py -c xcorr.pyf xcorr.c
| trichter/sito | src/compile_xcorr.sh | Shell | mit | 26 |
#!/bin/bash
cd /var/www/news-api/vendor/influx-analytics/
../../phpunit/phpunit/phpunit tests/AnalyticsTest.php
| vorbind/influx-analytics | run.sh | Shell | mit | 112 |
#!/bin/bash
cd ../.git/hooks
ln -sfv ../../git/pre-commit.sh pre-commit
| andyjack/neo-tracker | git/setup.sh | Shell | mit | 73 |
#!/bin/sh
set -eo pipefail -o nounset
wget --quiet -O blekhman_ad.tsv https://raw.githubusercontent.com/macarthur-lab/gene_lists/master/lists/blekhman_ad.tsv
genome=https://raw.githubusercontent.com/gogetdata/ggd-recipes/master/genomes/Homo_sapiens/GRCh38/GRCh38.genome
## Get the .genome file
genome2=https://raw.gi... | gogetdata/ggd-recipes | recipes/genomics/Homo_sapiens/hg38/hg38-autosomal-dominant-genes-blekhman-v1/recipe.sh | Shell | mit | 4,816 |
java AES e testKey.txt testEncrypt.txt
| IJJJfoundation/AES | src/deployment/encrypt_shell_script.sh | Shell | mit | 39 |
#!/usr/bin/env bash
./gradlew installDist
./cli/build/install/cli/bin/cli | cdcalc/cdcalc | run.sh | Shell | mit | 74 |
#!/bin/bash
USER_VARS_FILE_NAME="${HOME}/.userVars.sh";
source ./scripts/shellVars.sh;
function loadShellVars() {
if [ -f ${USER_VARS_FILE_NAME} ]; then
source ${USER_VARS_FILE_NAME}
else
for varkey in "${!SHELLVARNAMES[@]}"; do
X=${SHELLVARNAMES[$varkey]};
SHELLVARS["${X},VAL"]=${!X};
... | martinhbramwell/Meteor-CI-Tutorial | scripts/manageShellVars.sh | Shell | mit | 2,376 |
for i in `ls *fasta_*.fasta`; do echo $i; time python ~/Development/pyPaSWAS/pypaswas.py --loglevel=info -M BLOSUM80 canisLupusAnkyrin.fasta $i -L timings/$i.CPU.log.txt --device_type=CPU --platform_name=Intel --framework=OpenCL -o speed.txt; done
| swarris/pyPaSWAS | data/desktop/r1.sh | Shell | mit | 249 |
#!/bin/bash
ref_date='Thu Apr 19 17:07:39 CDT 2012'
#ref_sec=$(date -j -f '%a %b %d %T %Z %Y' "${ref_date}" +%s)
ref_sec=$(date +%s)
update_inc=1
#tput clear
#cat <<'EOF'
#
#
# [|] [|]
# _-'''''''''''''-_
# / \
# | |
# | |
... | joserc87/config-files | scripts/trash/stopwatch.sh | Shell | mit | 710 |
#!/bin/bash
# pipe usage:
# user@domain: path_to_pipe/pipe.sh -g <mm10/hg38> -r <PE/SE> -o read_file1 -p read_file2 (if PE file)
# input file: sra file, fastq file, and fastq.gz file
# pipe start
###################################################################################################
# read all necessary pa... | ShaopengLiu1/Atac-seq_Quality_Control_pipe | archive/AIAP_v1.00/v3.1/atac_v3.1.sh | Shell | mit | 34,260 |
#!/bin/bash
TESTS1="t/t1.scm t/t2.scm t/t3.scm t/t4.scm t/t5.scm t/t6.scm t/t7.scm t/t9.scm"
TESTS2="t/records/t1.scm t/records/t2.scm t/records/t3.scm t/records/t4.scm"
function test1 {
echo running tests in $1
for TEST in $TESTS1
do
eval $2
done
echo
echo
echo
}
function test2 {
... | orchid-hybrid/microKanren-sagittarius | run_tests.sh | Shell | mit | 1,412 |
#!/bin/bash -l
#SBATCH
#SBATCH --job-name=glm_1_nodes_40_calls_shared.sh
#SBATCH --time=03:00:00
#SBATCH --mail-type=begin,end
#SBATCH --mail-user=karoraw1@jhu.edu
#SBATCH --nodes=1
#SBATCH --partition=shared
module load netcdf/intel/4.3.3.1 glm
cd /home-3/karoraw1@jhu.edu/work/kaw/GLM_Wrapper/GLM_Executables/example... | karoraw1/GLM_Wrapper | MARCCTEST/glm_1_nodes_40_calls_shared.sh | Shell | mit | 5,571 |
#!/usr/bin/env bash
source bin/log.sh
set -e
if [ -z ${1} ]; then
echo "Usage: ${0} device-set [DeviceAgent-SHA]
Examples:
$ bin/appcenter.sh App-Center-Test-Cloud/coordinator-experiment
$ SKIP_IPA_BUILD=1 SERIES='Args and env' bin/appcenter.sh \
App-Center-Test-Cloud/coordinator-experiment
$ SERIES='DeviceAge... | calabash/ios-smoke-test-app | CalSmokeApp/bin/appcenter.sh | Shell | mit | 2,257 |
#!/bin/bash
export CONFIG=$1
if [ -f "$CONFIG" ];then
. "$CONFIG"
DIRNAME=$(dirname "$CONFIG")
cd "$DIRNAME" || exit 1
else
echo "ERROR CONFIG."
exit 1
fi
echo "$CERT_DOMAINS" > domains.txt
if [ ! -f "cloudxns.sh" ];then
wget https://github.com/xdtianyu/scripts/raw/master/le-dns/cloudxns.sh ... | boxcore/shell | tools/le-dns/le-cloudxns.sh | Shell | mit | 944 |
#!/bin/bash
set -o nounset
set -o errexit
set -o xtrace
package() {
BIN_NAME_TAG=$CRATE_NAME-$TRAVIS_TAG-$TARGET
if [[ $TARGET =~ .*windows.* ]]; then
BIN_NAME_TAG=$BIN_NAME_TAG.exe
fi
cp -f target/$TARGET/release/$BIN_NAME bin/$BIN_NAME_TAG
sha256sum "bin/$BIN_NAME_TAG" | tee "bin/$BIN_N... | autozimu/LanguageClient-neovim | ci/before_deploy.sh | Shell | mit | 1,375 |
#!/bin/bash
#
luna-send -a com.palm.app.messaging -n 1 palm://com.palm.db/putPermissions '{"permissions": [{"type": "db.kind", "object": "com.palm.message:1", "caller": "info.mobo.exportmessages.service", "operations": {"read":"allow"}}, {"type": "db.kind", "object": "com.palm.message:1", "caller": "info.mobo.exportmes... | Garfonso/ExportMessages | application/repairDBPermission.sh | Shell | mit | 371 |
#!/usr/bin/env bash
# thread number
thread_num=1
# use current machine as master, if an ConnectException occurs in slave.log,
# try to set master_host=127.0.0.1
master_host=$(hostname)
# if you run more than one training tasks on the same host at the same time,
# different tasks must have different ports!
master_por... | yuantiku/ytk-learn | demo/gbsdt/regression/local_optimizer.sh | Shell | mit | 1,797 |
# Sets reasonable OS X defaults.
#
# Or, in other words, set shit how I like in OS X.
#
# The original idea (and a couple settings) were grabbed from:
# https://github.com/mathiasbynens/dotfiles/blob/master/.osx
#
# Run ./set-defaults.sh and you'll be good to go.
# Ask for the administrator password upfront
sudo -v
... | werme/dotfiles | osx/set-defaults.sh | Shell | mit | 5,789 |
#!/usr/bin/env bash
sudo add-apt-repository "deb https://cli-assets.heroku.com/branches/stable/apt ./"
curl -L https://cli-assets.heroku.com/apt/release.key | sudo apt-key add -
sudo apt-get update
sudo apt-get install heroku
| aviggiano/setup | heroku.sh | Shell | mit | 228 |
#!/usr/bin/env bash
set -e
# Get the base repository path
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )/.." && pwd )"
# Get the name of the package we are building
PACKAGE="$(basename "$DIR")"
# Get the name of the organization
ORGANIZATION="$(basename "$(dirname "$DIR")")"
# Get the name of the repository
REPOSITORY="... | detachedheads/annotate-influxdb | scripts/build.sh | Shell | mit | 3,450 |
# Strip the remote
function strip_remote {
cat | sed -e 's/^ *.*\///'
}
# Limit remote
function limit_remote {
grep "^ *${1}/" | strip_remote
}
# Get the current branch
function get_current_branch {
git branch | grep "^*" | awk '{print $2}'
}
# Get the branch's timestamp
function get_branch_timestamp {
... | stilvoid/git-tools | lib/common.sh | Shell | mit | 1,451 |
#!/bin/bash -x
#
# Generated - do not edit!
#
# Macros
TOP=`pwd`
CND_PLATFORM=Base-Windows
CND_CONF=Debug
CND_DISTDIR=dist
CND_BUILDDIR=build
CND_DLIB_EXT=dll
NBTMPDIR=${CND_BUILDDIR}/${CND_CONF}/${CND_PLATFORM}/tmp-packaging
TMPDIRNAME=tmp-packaging
OUTPUT_PATH=${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/helloworld
O... | RoseLeBlood/aSTL | examples/HelloWorld/nbproject/Package-Debug.bash | Shell | mit | 1,469 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for USN-2185-1
#
# Security announcement date: 2014-04-29 00:00:00 UTC
# Script generation date: 2017-01-01 21:03:47 UTC
#
# Operating System: Ubuntu 14.04 LTS
# Architecture: i686
#
# Vulnerable packages fix on version:
# - firefox:29.0+build1-0ubuntu0.14.04.2
#... | Cyberwatch/cbw-security-fixes | Ubuntu_14.04_LTS/i686/2014/USN-2185-1.sh | Shell | mit | 893 |
docker build -t $(cat REPO_AND_VERSION) .
| sys42/docker-dokuwiki | build.sh | Shell | mit | 42 |
#!/bin/sh
#
# hwloc
source ./helper.sh
set_stage
wgetl http://www.ezix.org/software/files/lshw-B.02.17.tar.gz
tar -xzf lshw-B.02.17.tar.gz
cd lshw-B.02.17
mkdir -p $PREFIX/lshw
make PREFIX=$PREFIX/lshw
make install PREFIX=$PREFIX/lshw
leave_stage
| amirajdhawan/totient-pkg | configs/lshw.sh | Shell | mit | 251 |
#!/bin/sh
ROOT_DIR="/opt/software/"
DATE=`date +%Y%m%d`
alias cp='cp'
LOG="${ROOT_DIR}${DATE}_log"
[ ! -d /data/ ] && echo -e "\E[1;31m THERE IS NO '/data' \E[0m"| tee -a $LOG && exit 1
[ ! -d /opt/software ] && echo -e "\E[1;31m THERE IS NO '/opt/software' \E[0m" | tee -a $LOG && exit 1
echo "[$DATE --- START INSTALL ... | lgh8820/ansible-test | OperationsShell/install/install-websoftware.sh | Shell | mit | 5,645 |
#!/bin/sh
#######ensembl ftp
#ensembl_archive_xx,
#ontology_mart_xx,
#ensembl_ontology_xx,
#ensembl_website_xx,
######ensemblgenome ftp
#ensemblgenomes_info_xx,
#ensemblgenomes_stable_ids_xx_xx,
#ensembl_compara_pan_homology_xx_xx,
#ftp://ftp.ensembl.org/pub/release-92/mysql
ENSEMBL_FTP="ftp://ftp.ensembl.org/pub... | warelab/gramene-ensembl | scripts/load-scripts/fetch_pan_meta_dbs.sh | Shell | mit | 2,460 |
# ------------------------------------------------------------------------------
# FILE: extract.plugin.zsh
# DESCRIPTION: oh-my-zsh plugin file.
# AUTHOR: Sorin Ionescu (sorin.ionescu@gmail.com)
# VERSION: 1.0.1
# -----------------------------------------------------------------------------... | Neal/oh-my-zsh | plugins/extract/extract.plugin.zsh | Shell | mit | 2,350 |
#!/bin/bash
#
# Copyright (C) 2013
# Author(s): David Alexa <alexadav@fit.cvut.cz>
#
# LICENSE TERMS
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright... | CESNET/Netopeer-GUI | src/FIT/NetopeerBundle/bin/netconfwebgui-postinstall.sh | Shell | mit | 1,817 |
lmd build main
lmd watch main | petr/spd | assetscore/old/start.sh | Shell | mit | 29 |
function test_linux_deployment() {
###### Testing an nginx deployment
log "Testing deployments"
kubectl create namespace ${namespace}
NGINX="docker.io/library/nginx:latest"
IMAGE="${NGINX}" # default to the library image unless we're in TEST_ACR mode
if [[ "${TEST_ACR}" == "y" ]]; then
# force it to pu... | ChinaCloudGroup/acs-engine | test/cluster-tests/kubernetes/k8s-utils.sh | Shell | mit | 2,416 |
#!/bin/bash
set -e
set -u
usage() { echo "Usage: $0 -t <title> [-y <year>]" 1>&2; exit 1; }
MOVIE_ID=''
MOVIE_TITLE=''
DATA_DIR=''
MOVIE_YEAR=''
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
nextQuoteId=''
while getopts ":t:y:" o; do
case "${o}" in
t)
MOVIE_TITLE=${OPTARG}
... | johnmuth/movie-quote-tweet-bot | crawler/crawl-movie-quotes.sh | Shell | cc0-1.0 | 2,120 |
#!/bin/sh
######################################################################
#
# @file openstudio.sh
#
# @brief Version and build information for openstudio.
#
# @version $Rev$ $Date$
#
# Copyright © 2013-2017, Tech-X Corporation, Boulder, CO.
# See LICENSE file (EclipseLicense.txt) for conditions of use.... | Tech-XCorp/bilder | packages/openstudio.sh | Shell | epl-1.0 | 2,024 |
sh clean.sh
make g2mini_cm_defconfig && make -j2 && ./dtbToolCM -2 -o ./arch/arm/boot/dt.img -s 2048 -p ./scripts/dtc/ ./arch/arm/boot/
#&& find -name "*.ko" -exec cp -f '{}' ./RAMDISKs/D618-V20D/system/lib/modules/ \; && mv -f ./arch/arm/boot/zImage ./RAMDISKs/D618-V20D/split_img/zImage && mv -f ./arch/arm/boot/dt.im... | Vangreen/android_kernel_lge_msm8926 | make-g2mini_cm.sh | Shell | gpl-2.0 | 370 |
VERSION=1.0.6
NAME=bzip2
DESC=
DEPENDS=
CONFLICTS=
SOURCES=(http://www.bzip.org/1.0.6/bzip2-1.0.6.tar.gz)
SOURCES_HASHES=(00b516f4704d4a7cb50a1d97e6e8e15b)
PATCHES=("patches/$NAME-$VERSION-seaos-all.patch")
function prepare() {
if ! [ -d $NAME-$VERSION ]; then
tar xf $NAME-$VERSION.tar.gz
fi
}
function build() {... | dbittman/sea | apps/porting/pack/packs/bzip2/pkg.sh | Shell | gpl-2.0 | 493 |
#! /bin/bash
MYNAME=$(basename "$0")
MYBASENAME=$(basename "$0" .sh)
MYDIR=$(dirname "$0")
VERBOSE=""
VERSION="0.0.3"
LOG_OPTION="--log"
DEBUG_OPTION="--debug"
CONTAINER_SERVER=""
CONTAINER_IP=""
CLUSTER_NAME=""
LAST_CONTAINER_NAME=""
OPTION_VENDOR="mariadb"
PROVIDER_VERSION="10.3"
OPTION_NUMBER_OF_NODES="1"
N_CONTA... | severalnines/s9s-tools | tests/ft_galera_c2c.sh | Shell | gpl-2.0 | 10,309 |
#!/bin/sh
#
# Startup script for the VuFind Jetty Server under *nix systems
# (it works under NT/cygwin too).
#
# Configuration files
#
# $JETTY_HOME/etc/jetty.xml
# If found, used as this script's configuration file, but only if
# /etc/jetty.conf was not present. See above.
#
# Configuration variables
#
# VUFIND_H... | yorkulibraries/vufind | vufind.sh | Shell | gpl-2.0 | 15,222 |
#!/bin/sh
#
# $Id$
#
# This file is part of the OpenLink Software Virtuoso Open-Source (VOS)
# project.
#
# Copyright (C) 1998-2014 OpenLink Software
#
# This project is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software... | v7fasttrack/virtuoso-opensource | binsrc/dav/dav_metr.sh | Shell | gpl-2.0 | 6,897 |
#!/bin/bash -e
#build deb packages
VERSION=`git describe | sed 's/-/+r/;s/-/+/'`
[ -z $VERSION ] && VERSION=`dpkg-parsechangelog -S version`
rm -rf build/
CP=`ls`
mkdir -p build
cp -R $CP build
pushd build
rm debian/changelog -f
EDITOR=/bin/true dch --create --package thunderbolt-dkms -v $VERSION "CI Build"
dpkg-buil... | dell/thunderbolt-icm-dkms | ci/build_and_install_debs.sh | Shell | gpl-2.0 | 374 |
convert images/OCS-78-A.png -crop 1571x4538+121+319 +repage images/OCS-78-A.png
#
#
#/OCS-78.png
convert images/OCS-78-B.png -crop 1556x4532+57+317 +repage images/OCS-78-B.png
#
#
#/OCS-78.png
| jonnymwalker/Staroslavjanskij-Slovar | scripts/cropedges.OCS-78.sh | Shell | gpl-2.0 | 193 |
#!/bin/bash
###
OLD_URL_F_MPTCP="http://copr-be.cloud.fedoraproject.org/results/kenjiro/mptcp-kernel/fedora-20-x86_64/kernel-3.14.15-307.mptcp.fc20/kernel-3.14.15-307.mptcp.fc20.x86_64.rpm"
OLD_URL_F_MPTCP="http://copr-be.cloud.fedoraproject.org/results/kenjiro/mptcp-kernel/fedora-21-x86_64/kernel-3.14.15-308.mptcp.f... | nak3/mptcp-testsuite | kvm-setup/update_conf.sh | Shell | gpl-2.0 | 2,600 |
#!/bin/bash
echo -n "Version (exemple: 1.00) : "; \
read version; \
echo -n "Release date (exemple: 2006-01-24) : "; \
read date; \
sed "s/^ # Version : ..../ # Version : $version/" index.pl > TEMP
mv -f TEMP index.pl
sed "s/^ # Version : ..../ # Version : $version/" update.pl > TEMP
mv -f TEMP update.pl
sed "... | stephanedupont/eLunaGraphSystem | MAKE.sh | Shell | gpl-2.0 | 2,566 |
#! /bin/sh -e
# tup - A file-based build system
#
# Copyright (C) 2013-2022 Mike Shal <marfey@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distribu... | gittup/tup | test/t2161-lua-include.sh | Shell | gpl-2.0 | 1,140 |
#!/bin/bash
set -e
get_option () {
local section=$1
local option=$2
local default=$3
# my_print_defaults can output duplicates, if an option exists both globally and in
# a custom config file. We pick the last occurence, which is from the custom config.
ret=$(my_print_defaults $section | grep '^--'${option}'=' |... | craftsmenlabs/gareth-poc | database/setup-database.sh | Shell | gpl-2.0 | 3,076 |
#!/bin/bash
# Copyright (C) 2015 Daniel Mustieles, <daniel.mustieles@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any la... | leo666/gnome_scripts | report.sh | Shell | gpl-2.0 | 2,528 |
#! /bin/sh
# Copyright (C) 2001-2017 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | Starlink/automake | t/cond18.sh | Shell | gpl-2.0 | 1,372 |
#!/bin/bash
#####################################
#####################################
# Ruben Izquierdo Bevia
# VU University of Amsterdam
# ruben.izquierdobevia@vu.nl
# rubensanvi@gmail.com
# http://rubenizquierdobevia.com/
# Version 1.0
#####################################
#####################################
#... | rubenIzquierdo/semantic_class_manager | install.sh | Shell | gpl-2.0 | 1,052 |
#!/bin/sh
#SERIOUSLY,THOUGH, THIS NEEDS TO NOT BE A LIST OF BUILD COMMANDS SOME TIME IN THE FUTURE
echo off
#this increases the build number in the kernel header
cd core
buildno=$(cat kernel.h | grep "#define P5_BUILD_NUMBER " | cut -d' ' -f3)
buildno=$(($buildno + 1))
echo Executing P5 build \#$buildno
sed "s\^#def... | JMarlin/P5-Redux | P5OSPPB/build.sh | Shell | gpl-2.0 | 2,857 |
. envsetupIsengard.sh
filepath=$(cd "$(dirname "$0")"; pwd)
DEPENDS=$filepath/../Isengard-depends
git clean -dxf
#git submodule update --init addons/skin.re-touched
cd tools/depends
./bootstrap
./configure --with-toolchain=$TOOLCHAIN --prefix=$DEPENDS --host=arm-linux-androideabi --with-sdk-path=$SDK --with-ndk=$NDK... | vidonme/xbmc | rebuild_Isengard.sh | Shell | gpl-2.0 | 684 |
#!/bin/bash
echo -e "\ninstalling required software packages...\n"
echo 'solver.allowVendorChange = true' >> /etc/zypp/zypp.conf
zypper -q ar -f http://download.opensuse.org/repositories/OBS:/Server:/Unstable/openSUSE_13.2/OBS:Server:Unstable.repo
zypper -q --gpg-auto-import-keys refresh
zypper -q -n install update-alt... | martin-a-brown/open-build-service | bootstrap.sh | Shell | gpl-2.0 | 2,857 |
#!/bin/bash
. `dirname $0`/functions.sh
# Kernels before 2.4.10 are known not to work
case "`uname -r`" in
[01].*|2.[0-3].*|2.4.[0-9]|2.4.[0-9][^0-9]*) exit 77;;
esac
rm -f shuffle2 shuffle2lib*.so shuffle2.log shuffle2.lds
$CC -shared -O2 -fpic -o shuffle2lib1.so $srcdir/reloc1lib1.c
$CC -shared -O2 -fpic -o shuffle... | ystk/debian-prelink | testsuite/shuffle2.sh | Shell | gpl-2.0 | 1,148 |
#!/bin/sh
# Source Qubes library.
# shellcheck source=init/functions
. /usr/lib/qubes/init/functions
# Setup IP address at specific time of system boot, instead of asynchronously
# by udev
QUBES_MANAGED_IFACE="$(get_qubes_managed_iface)"
if [ "x$QUBES_MANAGED_IFACE" != "x" ]; then
# systemd does not support condi... | QubesOS/qubes-core-agent-linux | vm-systemd/network-uplink-wait.sh | Shell | gpl-2.0 | 636 |
#!/bin/bash
set -e
# bug number: LU-2012 10124 LU-7372
ALWAYS_EXCEPT="14b 15c 26 $REPLAY_DUAL_EXCEPT"
SAVE_PWD=$PWD
PTLDEBUG=${PTLDEBUG:--1}
LUSTRE=${LUSTRE:-$(cd $(dirname $0)/..; echo $PWD)}
SETUP=${SETUP:-""}
CLEANUP=${CLEANUP:-""}
MOUNT_2=${MOUNT_2:-"yes"}
export MULTIOP=${MULTIOP:-multiop}
. $LUSTRE... | sdsc/lustre-release | lustre/tests/replay-dual.sh | Shell | gpl-2.0 | 28,089 |
#!/bin/sh
export PROJECT_HOME=`pwd`
export ANT_HOME=${PROJECT_HOME}/tools/ant
export MAVEN_HOME=${PROJECT_HOME}/tools/maven
export PATH=.:${ANT_HOME}/bin:${MAVEN_HOME}/bin:${PATH}
chmod 755 ${ANT_HOME}/bin/*
chmod 755 ${MAVEN_HOME}/bin/*
| hedingwei/JavaWebProjectTemplate | configure.sh | Shell | gpl-2.0 | 238 |
#!/bin/sh
user=`cat .oraccuser`
group=`cat .oraccgroup`
for a in `. ./oraccdirs.conf` ; do sudo chown -R $user:$group $a ; done
| oracc/oracc | prmdirs.sh | Shell | gpl-2.0 | 128 |
#!/bin/sh
test_description='add -i basic tests'
. ./test-lib.sh
if ! test_have_prereq PERL; then
say 'skipping git add -i tests, perl not available'
test_done
fi
test_expect_success 'setup (initial)' '
echo content >file &&
git add file &&
echo more >>file &&
echo lines >>file
'
test_expect_success 'status wor... | asoltys/git | t/t3701-add-interactive.sh | Shell | gpl-2.0 | 4,506 |
#!/bin/bash
mydir=$(dirname "$BASH_SOURCE")
experimentSucceeded="$1"
stage="$2"
lastReturnVal="$3"
source "$mydir/functions_misc.sh"
source "$mydir/functions_remoteControl.sh"
remoteDir=$( cat "$mydir/remoteDir" )
logins="$driverLogin ${executorLoginList[*]}"
# Download the remote files.
download "$remoteDir/resu... | jcmcclurg/serverpower | experiments/scripts/ua_power_exp/experiment_finished.sh | Shell | gpl-2.0 | 5,178 |
# Openstack icehouse installation script
# on ubuntu 14.04 by kasidit chanchio
# vasabilab, dept of computer science, Thammasat University, Thailand
# copyright 2014
#
#
#!/bin/bash -x
cd $HOME/OPSInstaller/controller
pwd
echo "Run this script as a user."
printf "\n1. drop and create neutron database...press"
#read v... | kasidit/openstack-mitaka-installer | documents/OPSInstaller.example/controller/exe-stage52-USER-odl-neutron-database.sh | Shell | gpl-2.0 | 701 |
###########################################################################
#
# Author: Augustin Manecy
#
# Copyright (C) 2011-2014 Augustin Manecy
#
# augustin.manecy@gmail.com
#
###########################################################################
#
# This file is part of RT-MaG Toolbox.
#
# RT-Ma... | augustinmanecy/meta-rt-mag-overo | recipes-rt-mag/files/temp/PutFTPa_DOS.sh | Shell | gpl-2.0 | 2,095 |
laniface="eth1"
echo "Performing MITM on $laniface"
iptables -t nat -A PREROUTING -j REDIRECT -i $laniface -p tcp -m tcp --to-ports 20755
iptables -t nat -A PREROUTING -j REDIRECT -i $laniface -p udp -m udp --to-ports 20755
| ausarbluhd/EternalLLC | scripts/mallory/scripts/config_mallory.sh | Shell | gpl-2.0 | 225 |
#!/bin/bash
# ------------------------------------------------------------------------------------
# Run script for lsm at FLUXNET sites
# This script calls LSMSRunArray.sh for all sites given in the file "site_list"
# This script assumes that the SITE_LIST and LSMSRunArray.sh file exist
# in the same directory
# ----... | iffylaw/PPLSMS | Integration/LSMSSiteRun.sh | Shell | gpl-2.0 | 2,027 |
# Shell script that brings up the can0 interface for the CANable transceiver
# See the CANable Getting Started page for details
# Written by Evan Yand for Portland State Aerospace Society
# 06/2017 licensed GPLv3
case $1 in
"-10") sudo slcand -o -c -s0 /dev/serial/by-id/*CANtact*-if00 can0;;
"-20") sudo slcan... | oresat/devsat | scripts/CANup.sh | Shell | gpl-2.0 | 1,651 |
#!/bin/bash
if [ $# -lt 3 ]
then
echo "Need 3 arguments but provided $#"
echo "./lostExp.sh numOfBlocks numOfChallenges serverlist"
exit 0
fi
echo "Computation times" > "time"
port=9191
cat $3 | while read node
do
echo ${node}
echo -e "${node} \t \c" >> "time"
unode="ucalgary_nashad2@${node}"
ssh -i id_r... | malimome/LoSt | compTime.sh | Shell | gpl-2.0 | 627 |
#!/bin/bash
# Global variables:
# ${GV_LOG}: Prefix this variable in echo to log echoed string.
SCRIPT_NAME="$(basename "$(test -L "$0" && readlink "$0" || echo "$0")")"
echo "${GV_LOG}>>>>>>>>> Running ${SCRIPT_NAME} ..."
# Install galculator
apt-get -y --force-yes install qalculate-gtk
# Log
echo "${GV_LOG} * Ins... | limelime/cust-live-deb | scripts-rejected/inst-std-accessories-calc-qalculate-gtk/inst-std-accessories-calc-qalculate-gtk.sh | Shell | gpl-2.0 | 2,023 |
#!/bin/bash
function update(){
filename=$1
suffix=$2
for e in `cat $filename`; do
./MiGupdate_resource_configuration.sh "${e}${suffix}.config"
done
echo "done"
}
function usage(){
echo "Usage: UpdateClusterConfiguration.sh filename 'suffix_that_makes_hostname_unique'"
echo "Example: UpdateClusterConfi... | heromod/migrid | mig/resource/UpdateClusterConfiguration.sh | Shell | gpl-2.0 | 413 |
#!/bin/sh
# Script to create a release tar.gz from subversion export and (not yet implemented)
# upload to the download section of googlecode.
# Created by Paul Gevers <paul@climbing.nl> (30 Aug 2009)
# Copyright 2009 by Matthew Weatherford <matt@biggmatt.com>
VERSION="1.1.1"
SVN="/usr/bin/svn"
TAR="/bin/tar"
REPOSI... | lion-simba/WinFF | scripts/create_tar_from_svn.sh | Shell | gpl-3.0 | 676 |
docker run -d --link my-rabbit:rabbit -e PATAVI_BROKER_HOST=rabbit \
--name patavi-mcda-worker addis/patavi-smaa-worker
| DanielReid/mcda-elicitation-web | run-worker.sh | Shell | gpl-3.0 | 122 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.